<% if @pre_sale.errors.values.any? %>
	$("#error_explanation").empty();
	$('#error_explanation').removeClass('hidden');
	$("#error_explanation").append($("<div class='alert alert-danger'></div>"));
  <% @pre_sale.errors.values.each do |message| %>
    $("#error_explanation div").append($("<li />").html("<%= message.first.to_s %>"));
    toastr["error"]("<%= message.first.to_s %>");
  <% end %>
<% elsif @is_new %>
  $('#sale_customer_id').attr("disabled", true);
	if($("#error_explanation").is(':visible')) {
		$("#error_explanation").addClass('hidden');
	}
	var table = $('#products_table').DataTable();
	var newRow = $('<%= j render (@pre_sale) %>');
	x = $('#products_table').dataTable();
	newRow.find('td:eq(0)').html(newRow.find('td:eq(0)').html().replace('#', x.fnGetData().length + 1));
	table.row.add(newRow).draw();
  $('#customer_remote').remove();
<% elsif @pre_sale.quantity > 1 %>
  $("#quantity_<%= @pre_sale.id %>").val(<%= @pre_sale.quantity.to_i %>);
  $("#unit_price_<%= @pre_sale.id.to_s %>").val(<%= @pre_sale.unit_price.round(2) %>);
  $("#tax_<%= @pre_sale.id.to_s %>").val(<%= @pre_sale.tax.round(2) %>);
  $("#discount_<%= @pre_sale.id.to_s %>").val(<%= @pre_sale.discount.round(2) %>);
  $("#total_<%= @pre_sale.id.to_s %>").val(<%= @pre_sale.total.round(2) %>);

  tr = $("#pre_sale_<%= @pre_sale.id %>")
  tr.find('td:eq(5) label').text("$ " + <%= @pre_sale.unit_price.round(2) %>);
  tr.find('td:eq(6) label').text("$ " + <%= @pre_sale.tax.round(2) %>);
  tr.find('td:eq(7) label').text("$ " + <%= @pre_sale.discount.round(2) %>);
  tr.find('td:eq(8) label').text("$ " + <%= @pre_sale.total.round(2) %>);
<% else %>
	toastr["error"]("Error, No se encontró el producto.");
<% end %>
calculateTotals();
